Subject: bug#57589: Guix hands on GDM with wayland

From: mirai <[email-masked]>
Date: Thu, 1 Dec 2022 13:35:10 +0000

Grigory Shepelev wrote on 21 Nov 03:43 +0100:

> Figured out what was the problem. The /tmp dir. Once I had nonexisting /mnt
> dir on Guix boot. So I've added this piece In my file-systems:
> 
> (file-system
>   (mount-point "/tmp")
>   (device "tmp")
>   (type "tmpfs")
>   (check? #f))
> 
> This exact piece was causing a problem. Seems like it's connected to
> x11-socket-directory-service from (gnu services desktop). So, maybe the
> tmpdir was mounted after GDM boot and override the needed /tmp settings.

This might not be the case (like you, I'm also
using tmpfs for /tmp as mentioned in https://issues.guix.gnu.org/57589#9).
I've wrote a small guix system test for testing out this tmpfs theory at
https://issues.guix.gnu.org/59739 and so far, all the tests pass, with or without
/tmp as tmpfs mount.

Can you share your 'loginctl show-user gdm' and
'loginctl show-session <GDM session here>' output (before logging in with gdm, you
can do this via ssh or switch to another tty) and your system specs/GPU make?